Table of contents
-----------------

* Introduction
* Features
* Requirements
* Notes


Introduction
------------

The **Schema.org Blueprint Demo Standard module** provides an opinionated demo of
the Schema.org Blueprints built on top of Drupal's standard profile.

**THIS MODULE SHOULD ONLY BE INSTALLED ON A PLAIN VANILLA STANDARD
INSTANCE OF DRUPAL**


Features
--------

Installation

- Installs contributed module settings. (/config/install)
- Rewrites contributed module settings. (/config/rewrite)
- Adds a Statement content block to the front page.
- Adds consumer image styles to the 'Default Consumer'.
- Adds shortcuts linking to key Schema.org Blueprints URLs.
- Creates path aliases for /api/*.
- Uninstalls the Comment module and its associated fields.
- Removes the 'Type tray' module's default link text to view existing nodes on each content type.

General

- Improves generated text value and summary to make it easier demo
  a lot of data.
- Default generated formatted text fields to use the 'full_html' text format.
- Adds 'Relationships' operation to Schema.org mappings which links to 
  an 'Entity Relationship Diagram' provided by the 
  [Content Model Documentation](https://www.drupal.org/project/content_model_documentation) module

Contrib

- **Entity Print:** Styles entity print links as buttons.
- **Layout Paragraphs:** Add Slick carousel to galleries.


Requirements
------------

**[Slick](http://kenwheeler.github.io/slick/)**  
The last carousel you'll ever need


Notes
-----

The **Schema.org Blueprint Demo Standard module** deliberately tries not to 
contain a lot of exported configuration files. This makes it easier to maintain 
this module's configuration by allowing the dependencies to make configuration
changes and improvements without impacting this demo.
